Mark all inbox items as read (optionally scoped to a cutoff time)
POST
/inbox/v1/notifications/mark-all-read
const url = 'https://your-notavia-host/inbox/v1/notifications/mark-all-read';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"before":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-notavia-host/inbox/v1/notifications/mark-all-read \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "before": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ” Media type application/json
object
before
Only mark items created before this timestamp as read.
string format: date-time
Example generated
{ "before": "2026-04-15T12:00:00Z"}Responses
Section titled “ Responses ”Bulk-mark result.
Media type application/json
object
marked_count
integer
Example generated
{ "marked_count": 1}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}